{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Python Debugger: MV-Adapter Trainer",
            "type": "debugpy",
            "request": "launch",
            "program": "${file}",
            "console": "integratedTerminal",
            "justMyCode": false,
            "args": [
                "--config","configs/geometry-guidance/mvadapter_ig2mv_sdxl_debug.yaml",
                "--train", 
                "--gpu", "6,7"
            ]
        },
        {
            "name": "Python Debugger: MV-Adapter Image Inf",
            "type": "debugpy",
            "request": "launch",
            "program": "${file}",
            "console": "integratedTerminal",
            "args": [
                "--image", "assets/demo/ig2mv/ebffbc1ef9994b41a1841bbe9492d012.jpeg",
                "--mesh","assets/demo/ig2mv/1ccd5c1563ea4f5fb8152eac59dabd5c.glb", 
                "--output","output.png",
                "--remove_bg"
            ]
        }
    ]
}